Bug 17263 - ELI needs to return with proper codes
Summary: ELI needs to return with proper codes
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: eli   
(Show other bugs)
Version: 7.3
Hardware: ia64
OS: Linux
high
high
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-05 19:43 UTC by Matt Domsch
Modified: 2014-03-17 02:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-19 07:13:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matt Domsch 2000-09-05 19:43:05 UTC
If/When eli.efi fails (couldn't find required files, etc.), it
does not exit with a nonzero return code.  ELI 0.3.0 has this problem.

Comment 1 Glen Foster 2001-01-11 21:05:57 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 Bill Nottingham 2001-01-11 21:08:14 UTC
The code appears to do the right thing; Matt, does this still fail
for you?

Comment 3 Bill Nottingham 2001-01-19 07:13:19 UTC
In testing here it says:

Return Status; Load Error

So, I'm going to close this as WORKSFORME. Please reopen
if you have other cases where this fails.

Comment 4 Matt Domsch 2001-04-30 21:03:22 UTC
Closing, as I haven't reproduced it, and eli has been replace with elilo.efi.


Note You need to log in before you can comment on or make changes to this bug.